/* D-RexGxt - D-RexGxt - GUI Design Tool for GWT
 * Copyright (c) 2008,  KPS Corporation
 * All rights reserved.
 *
 * Open Source License
 * ------------------------------------------------------------------------------------------
 * D-RexGxt is licensed under the terms of the Open Source GPL 3.0 license.
 *
 * http://www.gnu.org/licenses/gpl.html
 *
 * --
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 */
package jp.co.kpscorp.gwt.client.design.gxt.widget;

import com.extjs.gxt.ui.client.Style.HorizontalAlignment;
import com.extjs.gxt.ui.client.Style.VerticalAlignment;
import com.extjs.gxt.ui.client.widget.LayoutContainer;
import com.extjs.gxt.ui.client.widget.layout.TableLayout;

public class TableLayoutWidget extends LayoutWidget {
	private TableLayout layout;

	public TableLayoutWidget(TableLayout layout, LayoutContainer container) {
		super(layout, container);
		this.layout = layout;
	}

	public int getBorder() {
		return layout.getBorder();
	}

	public HorizontalAlignment getCellHorizontalAlign() {
		return layout.getCellHorizontalAlign();
	}

	public int getCellPadding() {
		return layout.getCellPadding();
	}

	public VerticalAlignment getCellVerticalAlign() {
		return layout.getCellVerticalAlign();
	}

	public int getColumns() {
		return layout.getColumns();
	}

	public boolean getInsertSpacer() {
		return layout.getInsertSpacer();
	}

	public String getTableStyle() {
		return layout.getTableStyle();
	}

	public void setBorder(int border) {
		layout.setBorder(border);
	}

	public void setCellHorizontalAlign(HorizontalAlignment cellHorizontalAlign) {
		layout.setCellHorizontalAlign(cellHorizontalAlign);
	}

	public void setCellPadding(int padding) {
		layout.setCellPadding(padding);
	}

	public void setCellSpacing(int spacing) {
		layout.setCellSpacing(spacing);
	}

	public void setCellVerticalAlign(VerticalAlignment cellVerticalAlign) {
		layout.setCellVerticalAlign(cellVerticalAlign);
	}

	public void setColumns(int columns) {
		layout.setColumns(columns);
	}

	public void setInsertSpacer(boolean insertSpacer) {
		layout.setInsertSpacer(insertSpacer);
	}

	public void setTableStyle(String tableStyle) {
		layout.setTableStyle(tableStyle);
	}



}
